Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358436

Summary: Upstream yolk is dead and unusable; should be replaced by yolk3k
Product: [Fedora] Fedora Reporter: Jon Dufresne <jon.dufresne>
Component: python-yolkAssignee: Haïkel Guémar <karlthered>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: karlthered, saispo
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 15:44:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jon Dufresne 2016-07-20 16:42:43 UTC
Upstream yolk appears unmaintained (last commit was Mar 7, 2013). Currently, it is completely unusable as it tries to access PyPI through HTTP, but PyPI requires HTTPS. There is an upstream issue to document this:

https://github.com/cakebread/yolk/issues/35

Example:

$ yolk -V Django
Traceback (most recent call last):
  File "/usr/bin/yolk", line 9, in <module>
    load_entry_point('yolk==0.4.3', 'console_scripts', 'yolk')()
  File "/usr/lib/python2.7/site-packages/yolk/cli.py", line 1090, in main
    my_yolk.run()
  File "/usr/lib/python2.7/site-packages/yolk/cli.py", line 180, in run
    self.pypi = CheeseShop(self.options.debug)
  File "/usr/lib/python2.7/site-packages/yolk/pypi.py", line 109, in __init__
    self.get_cache()
  File "/usr/lib/python2.7/site-packages/yolk/pypi.py", line 127, in get_cache
    self.fetch_pkg_list()
  File "/usr/lib/python2.7/site-packages/yolk/pypi.py", line 184, in fetch_pkg_list
    package_list = self.list_packages()
  File "/usr/lib/python2.7/site-packages/yolk/pypi.py", line 202, in list_packages
    return self.xmlrpc.list_packages()
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1240, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1599, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.7/site-packages/yolk/pypi.py", line 64, in request
    fhandle = opener.open(request)
  File "/usr/lib64/python2.7/urllib2.py", line 437, in open
    response = meth(req, response)
  File "/usr/lib64/python2.7/urllib2.py", line 550, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib64/python2.7/urllib2.py", line 475, in error
    return self._call_chain(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 409, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 558, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
urllib2.HTTPError: HTTP Error 403: Must access using HTTPS instead of HTTP


There is a maintained fork of the project, yolk3k, that works, but it is not included in Fedora. I suggest yolk be replaced by yolk3k.

https://github.com/myint/yolk

Comment 1 Fedora End Of Life 2017-07-25 21:56:10 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 15:44:36 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.